﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Data.Views;

namespace HeuristicLab.DataPreprocessing.Views {

  [View("Transformation View")]
  [Content(typeof(TransformationContent), false)]
  public partial class TransformationView : ItemView {
    public TransformationView() {
      InitializeComponent();
    }

    public new TransformationContent Content {
      get { return (TransformationContent)base.Content; }
    set { base.Content = value; }
  }

  protected override void OnContentChanged() {
    base.OnContentChanged();
  }
  }
}
